package com.viettel.campaign.service;

import com.viettel.campaign.web.dto.ResultDTO;
import com.viettel.campaign.web.dto.request_dto.CampaignRequestDTO;

import java.util.Map;

public interface CampaignService {
    Map searchCampaignExecute(int page, int pageSize, String sort, String agentId);

    ResultDTO search(CampaignRequestDTO requestDto);
    ResultDTO findByCampaignCode(CampaignRequestDTO requestDTO);
}
